Name: fpcmake
Version: 2.0
Release: alt3

Summary: The Free Pascal makefile constructor program
License: GPL
Group: Development/Other

URL: http://www.freepascal.org/tools/fpcmake.html

# based on http://svn.freepascal.org/svn/fpc/trunk/utils/fpcm/
Source: %name-%version-%release.tar

Conflicts: fpc <= 2.0.2

# Automatically added by buildreq on Sat Jan 27 2007
BuildRequires: data2inc fpc

%description
fpcmake reads a Makefile.fpc and converts it to a Makefile suitable
for reading by GNU make to compile your projects.  It is similar
in functionality to GNU autoconf or Imake for making X projects.

%prep
%setup -q -n %name-%version-%release

%build
data2inc -b -s fpcmake.ini fpcmake.inc fpcmakeini
fpc fpcmake.pp
rm fpcmake.inc *.ppu
./fpcmake -w
make distclean all RELEASE=1 CREATESMART=1 LINKSMART=1
./fpcmake -V

%install
install -pD -m755 fpcmake %buildroot%_bindir/fpcmake
install -pD -m644 fpcmake.1 %buildroot%_man1dir/fpcmake.1
install -pD -m644 fpcmake.5 %buildroot%_man5dir/fpcmake.5

mkdir -p %buildroot/etc/buildreqs/files/ignore.d
echo '^/usr/lib.*/fpc.*/Package[.]fpc$' >%buildroot/etc/buildreqs/files/ignore.d/fpcmake

%files
%_bindir/fpcmake
%_man1dir/fpcmake.1*
%_man5dir/fpcmake.5*
%config /etc/buildreqs/files/ignore.d/fpcmake

%changelog
* Sat Jan 27 2007 Alexey Tourbin <at@altlinux.ru> 2.0-alt3
- fpcmmain.pp: fixed FPCDIR detection on x86_64

* Sat Jan 27 2007 Alexey Tourbin <at@altlinux.ru> 2.0-alt2
- rebuilt with fpc-2.1

* Sun Sep 10 2006 Alexey Tourbin <at@altlinux.ru> 2.0-alt1
- initial build (svn revision 4597)
